Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath
Class XMLDocumentContainer

    java.lang.Object
      org.apache.commons.jxpath.XMLDocumentContainer

All Implemented Interfaces:
  Serializable, Container

Deprecated. 1.1 Please use `DocumentContainer`

    public class XMLDocumentContainer

extends Object
implements Container

An XML document container reads and parses XML only when it is accessed. JXPath traverses Containers transparently - you use the same paths to access objects in containers as you do to access those objects directly. You can create XMLDocumentContainers for various XML documents that may or may not be accessed by XPaths. If they are, they will be automatically read, parsed and traversed. If they are not - they won't be read at all.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov
See Also:
  Serialized Form

Constructor Summary
`XMLDocumentContainer(javax.xml.transform.Source source)` Deprecated. Create a new XMLDocumentContainer.
`XMLDocumentContainer(URL xmlURL)` Deprecated. Create a new XMLDocumentContainer.

Method Summary
`Object` | `getValue()` Deprecated. Reads XML, caches it internally and returns the Document.
`void` | `setValue(Object value)` Deprecated. Throws an UnsupportedOperationException

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLDocumentContainer

    public XMLDocumentContainer(URL xmlURL)

  Deprecated.
  Create a new XMLDocumentContainer.

  Parameters:
    `xmlURL` - a URL for an XML file. Use getClass().getResource(resourceName) to load XML from a resource file.

### XMLDocumentContainer

    public XMLDocumentContainer(javax.xml.transform.Source source)

  Deprecated.
  Create a new XMLDocumentContainer.

  Parameters:
    `source` - XML source

Method Detail

### getValue

    public Object getValue()

  Deprecated.
  Reads XML, caches it internally and returns the Document.

  Specified by:
    `getValue` in interface `Container`
  Returns:
    Object value

### setValue

    public void setValue(Object value)

  Deprecated.
  Throws an UnsupportedOperationException

  Specified by:
    `setValue` in interface `Container`
  Parameters:
    `value` - to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.